MediaWiki:Gadget-Colors.css: Difference between revisions

Raven.Familiar (talk | contribs)
No edit summary
Kuhlau (talk | contribs)
No edit summary
 
(9 intermediate revisions by 3 users not shown)
Line 1: Line 1:
/** Root **/
/** Root **/
:root .theme-fandomdesktop-light , :root .theme-fandommobile-light {
:root, .wgl-lightmode, .wgl-theme-light {
--theme-accent-color: #47cab2;
     --theme-accent-color--rgba: 71, 202, 178;
     --theme-accent-color--rgba: 71, 202, 178;
     --theme-page-text-color: #43403D;
     --theme-page-text-color: #43403D;
     --theme-page-text-color-inverse: #FFFFFF;
     --theme-page-text-color-inverse: #FFFFFF;
    --theme-link-color: #a65000;
     --theme-border-color: #CECECE !important;
     --theme-border-color: #CECECE !important;
    --theme-page-background-color: #fff;
     --theme-page-background-color--secondary: #f2f2f2;
     --theme-page-background-color--secondary: #f2f2f2;
    --background-color-neutral-subtle: #f8f9fa;
      
      
     --group-color: var(--theme-color-5);
     --group-color: var(--theme-color-5);
Line 63: Line 67:
     --color-old: #932015;
     --color-old: #932015;
     --color-help: #BB8010;
     --color-help: #BB8010;
   
    --color-R4S: #9563C8;
    --color-R5S: #E7B442;
      
      
     /* background */
     /* background */
Line 82: Line 89:
}
}


:root .theme-fandomdesktop-dark , :root .theme-fandommobile-dark {
:root .wgl-darkmode , :root .wgl-theme-dark {
--theme-accent-color: #47cab2;
     --theme-accent-color--rgba: 71, 202, 178;
     --theme-accent-color--rgba: 71, 202, 178;
     --theme-page-text-color: #FFFFFF;
     --theme-page-text-color: #FFFFFF;
     --theme-page-text-color-inverse: #3d4342;
     --theme-page-text-color-inverse: #3d4342;
--theme-link-color: #4cc2ad;
     --theme-border-color: var(--theme-color-7) !important;
     --theme-border-color: var(--theme-color-7) !important;
    --theme-page-background-color: #111a20;
     --theme-page-background-color--secondary: var(--theme-color-6);
     --theme-page-background-color--secondary: var(--theme-color-6);
    --background-color-neutral-subtle: #1b1c1c;
      
      
     --group-color: var(--theme-accent-color);
     --group-color: var(--theme-accent-color);
Line 144: Line 155:
     --color-old: #e35045;
     --color-old: #e35045;
     --color-help: #e0bb00;
     --color-help: #e0bb00;
   
    --color-R4S: #9563C8;
    --color-R5S: #E7B442;
      
      
     /* background */
     /* background */
Line 166: Line 180:
     --desc-content: #bf8c4015;     
     --desc-content: #bf8c4015;     
}
}
/* Skin-specific */
:root {
--background-color-base: var(--theme-page-background-color);
--color-base: var(--theme-page-text-color);
--border-base: var(--theme-border-color);
}


/* Style scrollbars to match wiki theme */
/* Style scrollbars to match wiki theme */
#content { scrollbar-color: var(--theme-link-color) var(--theme-body-background-color); }
#content {
scrollbar-color: var(--theme-link-color) var(--theme-body-background-color);
}


/* Darker version of alert */
/* Darker version of alert */
.theme-fandomdesktop-dark {
.wgl-darkmode, .wgl-theme-dark {
     --theme-alert-highlight: #a90000;
     --theme-alert-highlight: #a90000;
     --theme-alert-highlight--rgb: rgb(169, 0, 0);
     --theme-alert-highlight--rgb: rgb(169, 0, 0);
     --theme-alert-highlight--hover: #c30000;
     --theme-alert-highlight--hover: #c30000;
}
/** Highlighting **/
.bg-highlight {
    background-color: rgb(137, 137, 137);
    background-color: rgba(137, 137, 137, 0.4);
}
}


/** Invert filter **/
/** Invert filter **/
.theme-fandomdesktop-dark .invert-dark { filter: invert(1); }
.wgl-darkmode .invert-dark { filter: invert(1); }
.theme-fandomdesktop-light .invert-light { filter: invert(1); }
.wgl-lightmode .invert-light { filter: invert(1); }


/** Theme colors **/
/** Theme colors **/
Line 211: Line 241:


/* Change color of classes that used alert-color as bg color */
/* Change color of classes that used alert-color as bg color */
.theme-fandomdesktop.dark #mw-notification-area.mw-notification.mw-notification-type-error,
.wgl-darkmode #mw-notification-area.mw-notification.mw-notification-type-error,
.theme-fandomdesktop.dark .postedit.mw-notification.mw-notification-type-error,
.wgl-darkmode .postedit.mw-notification.mw-notification-type-error,
.theme-fandomdesktop.dark .wds-table-td-alert,
.wgl-darkmode .wds-table-td-alert,
.theme-fandomdesktop-dark .diff td.diff-deletedline .diffchange {
.wgl-darkmode .diff td.diff-deletedline .diffchange {
     background-color: var(--theme-alert-highlight);
     background-color: var(--theme-alert-highlight);
}
}


.theme-fandomdesktop-dark .diff td.diff-deletedline {
.wgl-darkmode .diff td.diff-deletedline {
     border-color: var(--theme-alert-highlight);
     border-color: var(--theme-alert-highlight);
}
}
/* [[Template:Color]] */


.text-error, .text-error * { color: var(--theme-alert-color); }
.text-error, .text-error * { color: var(--theme-alert-color); }
.bg-error { background-color: var(--theme-alert-highlight); }
.bg-error { background-color: var(--theme-alert-highlight); }
/* [[Template:Color]] */


.text-buzz, .text-buzz * { color: var(--color-buzz); }
.text-buzz, .text-buzz * { color: var(--color-buzz); }
Line 241: Line 271:
.text-help, .text-help * { color: var(--color-help); }
.text-help, .text-help * { color: var(--color-help); }
.bg-help { background-color: var(--color-help); }
.bg-help { background-color: var(--color-help); }
.text-R4S, .text-R4S * { color: var(--color-R4S); }
.bg-R4S { background-color: var(--color-R4S); }
.text-R5S, .text-R5S * { color: var(--color-R5S); }
.bg-R5S { background-color: var(--color-R5S); }


/* Backgrounds */
/* Backgrounds */
Line 247: Line 286:


/* Syntax highlight for source editor */
/* Syntax highlight for source editor */
.theme-fandomdesktop-dark.skin-fandomdesktop .cm {
.wgl-darkmode.skin-fandomdesktop .cm {
     --codemirror-purple: #D2A8FF;
     --codemirror-purple: #D2A8FF;
}
}